net.i2p.router.tunnel

## Class OutboundTunnelEndpoint

- java.lang.Object
- - net.i2p.router.tunnel.OutboundTunnelEndpoint

    public class OutboundTunnelEndpoint
    extends Object

We are the end of an outbound tunnel that we did not create. Gather fragments and honor the instructions as received.

### Constructor Summary

Constructors
Constructor and Description
`OutboundTunnelEndpoint(RouterContext ctx, HopConfig config, HopProcessor processor)`

### Method Summary

Methods
`void` `dispatch(TunnelDataMessage msg, Hash recvFrom)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutboundTunnelEndpoint

    public OutboundTunnelEndpoint(RouterContext ctx,
                          HopConfig config,
                          HopProcessor processor)

### Method Detail

#### dispatch

    public void dispatch(TunnelDataMessage msg,
                Hash recvFrom)